|  | Home · All Classes · Modules

# QAbstractTextDocumentLayout.Selection Class Reference
[QtGui module]

The QAbstractTextDocumentLayout.Selection class is a convenience class defining the parameters of a selection. More...

### Methods

- __init__ (self)
- __init__ (self, Selection other)

### Members

- QTextCursor cursor
- QTextCharFormat format

## Detailed Description

The QAbstractTextDocumentLayout.Selection class is a convenience class defining the parameters of a selection.

A selection can be used to specify a part of a document that should be highlighted when drawing custom layouts for QTextDocuments with the QAbstractTextDocumentLayout.draw() function. It is specified using cursor and a format.

See also QAbstractTextDocumentLayout and PaintContext.

## Method Documentation

### Selection.__init__ (self)

### Selection.__init__ (self, Selection other)

## Member Documentation

### QTextCursor cursor

This variable holds the selection's cursor.

The default value is a null cursor.

### QTextCharFormat format

This variable holds the format of the selection.

The default value is QTextFormat.InvalidFormat.